function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 18);

T(1) = params(11)/(1-params(11));
T(2) = (-1)/params(11);
T(3) = (y(3)/params(12))^T(2);
T(4) = params(3)*(1+T(1)*T(3));
T(5) = (y(4)/params(12))^T(2);
T(6) = exp(y(2))*y(25)*params(3)*(1+T(1)*T(5))*(1-params(10));
T(7) = exp(y(8));
T(8) = T(5)*(1-params(10))+y(25)*y(30)/T(7);
T(9) = y(25)*y(30)/T(7)+y(24)+T(5)*(1-params(10));
T(10) = exp(y(21))*T(7)^params(4);
T(11) = exp(y(9))^(1-params(4));
T(12) = T(3)*(exp(y(19))+y(10)*T(7)+y(25)*y(24)*exp(y(1))*T(7));
T(13) = T(5)*T(7)*exp(y(1))*y(25)*(1-params(10));
T(14) = y(3)/(1-params(11));
T(15) = T(13)*y(4)/(1-params(11));
T(16) = params(6)*exp(y(9))^params(7)*exp(y(14));
T(17) = y(24)+(1-params(10))*y(5)^(1/params(11));
T(18) = exp(y(22))/exp(params(20));

end
